/**********************************************************************
 * Interface Processor
 *  
 * Copyright (c) 2005-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.stm.processor;

import de.dnb.stm.task.Task;

/**
 * @author Kadir Karaca Kocer -- German National Library
 *
 */
public interface Processor
{
	/**
	 * @return Task
	 */
	public Task getTask();

	/**
	 * @return Unique id of task.
	 */
	public long getTaskId();

	/**
	 * @param task_id Id to set.
	 */
	public void setTaskId(long task_id);
}
